Debian Bug report logs - #633880
mdadm: breaks booting with empty sublevel definition in uname -r (like kernel 3.0)

version graph

Package: mdadm; Maintainer for mdadm is Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>; Source for mdadm is src:mdadm.

Reported by: "Stefan Lippers-Hollmann" <s.L-H@gmx.de>

Date: Thu, 14 Jul 2011 17:42:01 UTC

Severity: minor

Tags: fixed-upstream

Found in version mdadm/3.1.4-1+8efb9d1

Fixed in version mdadm/3.2.3-2

Done: Michael Tokarev <mjt@tls.msk.ru>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>:
Bug#633880; Package mdadm. (Thu, 14 Jul 2011 17:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Stefan Lippers-Hollmann" <s.L-H@gmx.de>:
New Bug report received and forwarded. Copy sent to Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>. (Thu, 14 Jul 2011 17:42:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Stefan Lippers-Hollmann" <s.L-H@gmx.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: mdadm: breaks booting with empty sublevel definition in uname -r (like kernel 3.0)
Date: Thu, 14 Jul 2011 19:38:28 +0200
Package: mdadm
Version: 3.1.4-1+8efb9d1
Severity: minor

Hi

Using a kernel with empty SUBLEVEL definition, like

VERSION = 3
PATCHLEVEL = 0
SUBLEVEL =
EXTRAVERSION = -rc7
NAME = Sneaky Weasel

breaks booting with / on LVM2 on RAID1 (mdadm), as the RAID array can't
be assembled. An according fix has been added to Fedora with

http://pkgs.fedoraproject.org/gitweb/?p=mdadm.git;a=blob;f=mdadm-3.2.1-version.patch;h=2a935e97ced2b244249496d3a758ae119aee548f;hb=HEAD
(I can confirm this patch to be working, if I ignore -Werror - #625392)

Be aware that current Debian kernels in experimental define SUBLEVEL 
as 0, to defer compatibility issues like this. So this won't be an
immediate issue in Debian, although it would be nice to get this fixed
to work with upcomming upstream kernels.

Regards
	Stefan Lippers-Hollmann

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.0-rc7-aptosid-amd64 (SMP w/2 CPU cores; PREEMPT)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages mdadm depends on:
ii  debconf                       1.5.40     Debian configuration management sy
ii  libc6                         2.13-10    Embedded GNU C Library: Shared lib
ii  lsb-base                      3.2-27     Linux Standard Base 3.2 init scrip
ii  makedev                       2.3.1-89   creates device files in /dev
ii  udev                          171-3      /dev/ and hotplug management daemo

Versions of packages mdadm recommends:
ii  module-init-tools             3.16-1     tools for managing Linux kernel mo
ii  postfix [mail-transport-agent 2.8.3-1    High-performance mail transport ag

mdadm suggests no packages.

-- debconf information:
  mdadm/autostart: true
* mdadm/mail_to: root
  mdadm/initrdstart_msg_errmd:
* mdadm/initrdstart: all
  mdadm/initrdstart_msg_errconf:
  mdadm/initrdstart_notinconf: false
  mdadm/initrdstart_msg_errexist:
  mdadm/initrdstart_msg_intro:
* mdadm/autocheck: true
  mdadm/initrdstart_msg_errblock:
* mdadm/start_daemon: true




Information forwarded to debian-bugs-dist@lists.debian.org, Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>:
Bug#633880; Package mdadm. (Sat, 31 Dec 2011 00:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Stefan Lippers-Hollmann" <s.L-H@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>. (Sat, 31 Dec 2011 00:33:03 GMT) Full text and rfc822 format available.

Message #10 received at 633880@bugs.debian.org (full text, mbox):

From: "Stefan Lippers-Hollmann" <s.L-H@gmx.de>
To: control@bugs.debian.org
Cc: 633880@bugs.debian.org
Subject: Re: mdadm: breaks booting with empty sublevel definition in uname -r (like kernel 3.0)
Date: Sat, 31 Dec 2011 01:27:59 +0100
[Message part 1 (text/plain, inline)]
tags 633880 + fixed-upstream
thanks

Hi

On Saturday 31 December 2011, Stefan Lippers-Hollmann wrote:
[...]
> Using a kernel with empty SUBLEVEL definition, like
> 
> VERSION = 3
> PATCHLEVEL = 0
> SUBLEVEL =
> EXTRAVERSION = -rc7
> NAME = Sneaky Weasel
> 
> breaks booting with / on LVM2 on RAID1 (mdadm), as the RAID array can't
> be assembled. An according fix has been added to Fedora with
> 
> http://pkgs.fedoraproject.org/gitweb/?p=mdadm.git;a=blob;f=mdadm-3.2.1-version.patch;h=2a935e97ced2b244249496d3a758ae119aee548f;hb=HEAD
> (I can confirm this patch to be working, if I ignore -Werror - #625392)
> 
> Be aware that current Debian kernels in experimental define SUBLEVEL 
> as 0, to defer compatibility issues like this. So this won't be an
> immediate issue in Debian, although it would be nice to get this fixed
> to work with upcomming upstream kernels.
[...]

An equivalent patch has been merged upstream in

	http://neil.brown.name/git?p=mdadm;a=commitdiff;h=f161d047eed634b3380262767f955eb888502e88

and has been released as part of the bugfix release mdadm-3.2.3 a week
ago, it would be great to see this bug fixed in Debian as well.

Regards
	Stefan Lippers-Hollmann
[signature.asc (application/pgp-signature, inline)]

Added tag(s) fixed-upstream. Request was from "Stefan Lippers-Hollmann" <s.L-H@gmx.de> to control@bugs.debian.org. (Sat, 31 Dec 2011 00:33:05 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from mjt@tls.msk.ru (Michael Tokarev) to control@bugs.debian.org. (Tue, 10 Jan 2012 14:42:12 GMT) Full text and rfc822 format available.

Reply sent to Michael Tokarev <mjt@tls.msk.ru>:
You have taken responsibility. (Wed, 18 Jan 2012 18:51:15 GMT) Full text and rfc822 format available.

Notification sent to "Stefan Lippers-Hollmann" <s.L-H@gmx.de>:
Bug acknowledged by developer. (Wed, 18 Jan 2012 18:51:15 GMT) Full text and rfc822 format available.

Message #19 received at 633880-close@bugs.debian.org (full text, mbox):

From: Michael Tokarev <mjt@tls.msk.ru>
To: 633880-close@bugs.debian.org
Subject: Bug#633880: fixed in mdadm 3.2.3-2
Date: Wed, 18 Jan 2012 18:49:06 +0000
Source: mdadm
Source-Version: 3.2.3-2

We believe that the bug you reported is fixed in the latest version of
mdadm, which is due to be installed in the Debian FTP archive:

mdadm-udeb_3.2.3-2_i386.udeb
  to main/m/mdadm/mdadm-udeb_3.2.3-2_i386.udeb
mdadm_3.2.3-2.debian.tar.bz2
  to main/m/mdadm/mdadm_3.2.3-2.debian.tar.bz2
mdadm_3.2.3-2.dsc
  to main/m/mdadm/mdadm_3.2.3-2.dsc
mdadm_3.2.3-2_i386.deb
  to main/m/mdadm/mdadm_3.2.3-2_i386.deb
mdadm_3.2.3.orig.tar.bz2
  to main/m/mdadm/mdadm_3.2.3.orig.tar.bz2



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 633880@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Tokarev <mjt@tls.msk.ru> (supplier of updated mdadm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 18 Jan 2012 22:33:01 +0400
Source: mdadm
Binary: mdadm mdadm-udeb
Architecture: source i386
Version: 3.2.3-2
Distribution: unstable
Urgency: low
Maintainer: Debian mdadm maintainers <pkg-mdadm-devel@lists.alioth.debian.org>
Changed-By: Michael Tokarev <mjt@tls.msk.ru>
Description: 
 mdadm      - tool to administer Linux MD arrays (software RAID)
 mdadm-udeb - tool to administer Linux MD arrays (software RAID) (udeb)
Closes: 607375 628667 633880 637068 641584 641886 641972 645563 650630 651737 651880 652547 655212
Changes: 
 mdadm (3.2.3-2) unstable; urgency=low
 .
   [ Michael Tokarev ]
   * new upstream bugfix/stable version, with lots of fixes all over.
     Closes: #641886, #628667, #645563, #651880, #607375, #633880
   * update Neil's email (Closes: #650630)
   * update mdadd.sh to version 1.52 (Closes: #655212)
   * fixed a typo (RAID6 vs RAID10) in FAQ (Closes: #637068)
   * declare ordering dependency for multipath-tools-boot in
     mdadm-raid init script (Closes: #641584)
     While at it, remove mention of devfsd
   * added Slovak (sk.po) po-debconf translation from Slavko <linux@slavino.sk>
     (Closes: #641972)
   * set nice value of the check/resync thread too, together with I/O
     scheduling class, based on patch by Sergey B Kirpichev (Closes: #652547)
   * small changes for debian/checkarray
   * (internal) move files from contrib/* topgit branches into debian directory
   * remove dh_testroot from clean target
   * add myself to uploaders
 .
   [ Peter Eisentraut ]
   * Added support for "status" action to mdadm init script (Closes: #651737)
Checksums-Sha1: 
 6ef54b540f1a5ffa8ecc60995f755dd26e349660 1498 mdadm_3.2.3-2.dsc
 511f4104fe4035515925613e358bef0ea0823148 366770 mdadm_3.2.3.orig.tar.bz2
 955f6afc090ce8cb16202963acbcbc6a0152a00f 124599 mdadm_3.2.3-2.debian.tar.bz2
 76686ef906628cbe73ca236dec97cd806a96e5f3 558248 mdadm_3.2.3-2_i386.deb
 fe1f2326103d02219da49eb58041055b454a3d9b 189460 mdadm-udeb_3.2.3-2_i386.udeb
Checksums-Sha256: 
 d5d1ffc4efbdecc81d6ff25aed4b0dc52dd89e0fb111116a889ab25e22ca53d5 1498 mdadm_3.2.3-2.dsc
 0ff49a04c6250834ce1b5be5a1581532e70e2221a87e1eedec46d6656b37ab40 366770 mdadm_3.2.3.orig.tar.bz2
 fa0606b50c534dab91849729878782f8998d47f9127bae8e1ed06019676b2a4b 124599 mdadm_3.2.3-2.debian.tar.bz2
 6d397de1575948c818c3b400635c5eb19df2f489976109966a5e846bf2c5b1ea 558248 mdadm_3.2.3-2_i386.deb
 70cca8280c0641e415ac40bde0a1401a844ee6dd51d708b1f8044b3934332c37 189460 mdadm-udeb_3.2.3-2_i386.udeb
Files: 
 5301178a6e0aac0f04bba0010a2078da 1498 admin optional mdadm_3.2.3-2.dsc
 d789d6ecb9c1d5ebcc64f0fc52bca92f 366770 admin optional mdadm_3.2.3.orig.tar.bz2
 652f6121420a03666d9da70db55cc174 124599 admin optional mdadm_3.2.3-2.debian.tar.bz2
 83bb41de1e1c78acba0c5f2d69b9022b 558248 admin optional mdadm_3.2.3-2_i386.deb
 54809d1c5f9b0e33acc54add6bda637d 189460 debian-installer optional mdadm-udeb_3.2.3-2_i386.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iJwEAQECAAYFAk8XEcQACgkQUlPFrXTwyDjkrgP9FhhzOsjlNP9N+S3Msb9lEy0C
JYizxR/LSP69gcardkP1AA9stSGA/wIYXR6XPLWgiB8Q5N3Hg4XCjM24GrIcwi07
x25aTydCPLPOWGJx7Q/yWH5DqmBR/AVTlejeDIyuo8j+ovAGs2T7g6U1z87/125i
HnaFTpqteFsSE2QX3sg=
=ZeyF
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 26 Feb 2012 07:39:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 15:12:00 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.